Bug 1003557 - SELinux is preventing /usr/sbin/smbd from 'write' accesses on the directory xfce-perchannel-xml.
SELinux is preventing /usr/sbin/smbd from 'write' accesses on the directory x...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:3a41393b56283811bd0e93bf552...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-02 07:03 EDT by Milan Kerslager
Modified: 2013-09-02 07:06 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-02 07:06:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Milan Kerslager 2013-09-02 07:03:49 EDT
Description of problem:
SELinux is preventing /usr/sbin/smbd from 'write' accesses on the directory xfce-perchannel-xml.

*****  Plugin catchall_boolean (47.5 confidence) suggests  *******************

If you want to allow samba to share users home directories.
Then you must tell SELinux about this by enabling the 'samba_enable_home_dirs' boolean.
You can read 'user_selinux' man page for more details.
Do
setsebool -P samba_enable_home_dirs 1

*****  Plugin catchall_boolean (47.5 confidence) suggests  *******************

If you want to allow samba to share any file/directory read/write.
Then you must tell SELinux about this by enabling the 'samba_export_all_rw' boolean.
You can read 'user_selinux' man page for more details.
Do
setsebool -P samba_export_all_rw 1

*****  Plugin catchall (6.38 confidence) suggests  ***************************

If you believe that smbd should be allowed write access on the xfce-perchannel-xml directory by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep smbd /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:smbd_t:s0
Target Context                system_u:object_r:user_home_dir_t:s0
Target Objects                xfce-perchannel-xml [ dir ]
Source                        smbd
Source Path                   /usr/sbin/smbd
Port                          <Neznámé>
Host                          (removed)
Source RPM Packages           samba-4.0.9-1.fc19.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-73.fc19.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     (removed)
Platform                      Linux (removed) 3.9.9-301.fc19.x86_64 #1 SMP Thu
                              Jul 4 15:10:36 UTC 2013 x86_64 x86_64
Alert Count                   4
First Seen                    2013-08-22 13:08:13 CEST
Last Seen                     2013-08-26 22:36:35 CEST
Local ID                      91c477c9-eefa-49b4-a8b9-ac19ab263dbf

Raw Audit Messages
type=AVC msg=audit(1377549395.960:726): avc:  denied  { write } for  pid=24004 comm="smbd" name="xfce-perchannel-xml" dev="dm-2" ino=67895323 scontext=system_u:system_r:smbd_t:s0 tcontext=system_u:object_r:user_home_dir_t:s0 tclass=dir


type=AVC msg=audit(1377549395.960:726): avc:  denied  { add_name } for  pid=24004 comm="smbd" name="xsettings.xml.new" scontext=system_u:system_r:smbd_t:s0 tcontext=system_u:object_r:user_home_dir_t:s0 tclass=dir


type=SYSCALL msg=audit(1377549395.960:726): arch=x86_64 syscall=open success=yes exit=EBADE a0=7f4b82a5fae0 a1=202c1 a2=1a4 a3=0 items=0 ppid=13811 pid=24004 auid=4294967295 uid=1001 gid=0 euid=1001 suid=0 fsuid=1001 egid=1001 sgid=0 fsgid=1001 ses=4294967295 tty=(none) comm=smbd exe=/usr/sbin/smbd subj=system_u:system_r:smbd_t:s0 key=(null)

Hash: smbd,smbd_t,user_home_dir_t,dir,write

Additional info:
reporter:       libreport-2.1.6
hashmarkername: setroubleshoot
kernel:         3.10.9-200.fc19.x86_64
type:           libreport

Note You need to log in before you can comment on or make changes to this bug.